Skip to main content

Atrium API

List Member Credentials

This endpoint returns an array which contains information on every non-MFA credential associated with a specific member.

info

Institution credentials are not the same as member credentials. Use institution credentials to create a new member and member credentials to update an existing member.

GET
/users/{user_guid}/members/{member_guid}/credentials

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/credentials' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_18
{
_18
"credentials": [
_18
{
_18
"display_order": 0,
_18
"field_name": "login_email",
_18
"guid": "CRD-12ce94ad-032b-5441-8cb3-d7ebe3a35676",
_18
"label": "Email Address",
_18
"type": "LOGIN"
_18
},
_18
{
_18
"display_order": 1,
_18
"field_name": "login_password",
_18
"guid": "CRD-305767e4-f464-765b-8f83-881b5bd307ec",
_18
"label": "PayPal password",
_18
"type": "PASSWORD"
_18
}
_18
]
_18
}